Package io.dapr.client.domain

# Class BulkSubscribeAppResponse

java.lang.Object
io.dapr.client.domain.BulkSubscribeAppResponse

public final class BulkSubscribeAppResponse extends Object
Response from the application containing status for each entry from the bulk publish message.

## Constructor Summary

Constructors
Constructor
Description
`BulkSubscribeAppResponse(List<BulkSubscribeAppResponseEntry> statuses)`
Instantiate a BulkSubscribeAppResponse.

## Method Summary

Modifier and Type
Method
Description
`List<BulkSubscribeAppResponseEntry>`
`getStatuses()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BulkSubscribeAppResponse

public BulkSubscribeAppResponse(List<BulkSubscribeAppResponseEntry> statuses)
Instantiate a BulkSubscribeAppResponse.

Parameters:
  `statuses` - list of statuses.

## Method Details

### getStatuses

public List<BulkSubscribeAppResponseEntry> getStatuses()